#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Parse
%define		pnam	RecDescent
Summary:	Parse::RecDescent - generate recursive-descent parsers
Summary(pl.UTF-8):	Parse::RecDescent - generowanie zmniejszających rekurencyjnie analizatorów
Name:		perl-Parse-RecDescent
Version:	1.967015
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Parse/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7a36d45d62a9b68603edcdbd276006cc
URL:		http://search.cpan.org/dist/Parse-RecDescent/
BuildRequires:	perl-Text-Balanced
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# these versions included own copy of Text::Balanced
BuildConflicts:	perl-Parse-RecDescent < 1.92
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Calc)'

%description
RecDescent incrementally generates top-down recursive-descent text
parsers from simple yacc-like grammar specifications. It provides:
- Regular expressions or literal strings as terminals (tokens),
- Multiple (non-contiguous) productions for any rule,
- Repeated, optional and alternate subrules within productions,
- Late-bound (run-time dispatched) subrules,
- Full access to Perl within actions specified as part of the grammar,
- Simple automated error reporting during parser generation and
  parsing,
- The ability to commit to, uncommit to, or reject particular
  productions during a parse,
- Incremental extension of the parsing grammar (even during a parse),
- Precompilation of parser objects,
- User-definable reduce-reduce conflict resolution via "scoring" of
  matching productions.

%description -l pl.UTF-8
RecDescent generuje przyrostowo zstępujące, zmniejszające
rekurencyjnie analizatory tekstu w oparciu o prostą specyfikację
gramatyki, podobną do używanej przez yacca. Udostępnia on:
- Wyrażenia regularne i łańcuchy literałów jako terminale (tokeny),
- Wielokrotną (nieciągłą) produkcję dla każdej reguły,
- Powtarzane, opcjonalne i alternatywne podreguły w obrębie produkcji,
- Podreguły późnego wiązania (wysyłane w chwili uruchomienia),
- Pełen dostęp do Perla w obrębie akcji określonych jako część
  gramatyki,
- Proste, zautomatyzowane sygnalizowanie błędów podczas generacji
  analizatora i podczas analizy,
- Możliwość zatwierdzenia, cofnięcia oraz odrzucania poszczególnych
  produkcji podczas analizy,
- Przyrostowe rozszerzanie gramatyki podlegającej analizie (nawet
  podczas samej analizy),
- Prekompilację obiektów analizatora,
- Definiowalne przez użytkownika rozpoznawanie konfliktów
  "reduce-reduce" poprzez ocenianie dopasowania produkcji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Parse/RecDescent/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Parse/RecDescent.pm
%{_mandir}/man3/Parse::RecDescent.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Parse-RecDescent.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8667ace
- up to 1.967015

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 55c4e31
- updated to 1.967013

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 6996741
- up to 1.967009

* Wed Apr 07 2010 amateja <amateja@pld-linux.org> a8786b5
- updated to 1.965001

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> f01f164
- updated to 1.964

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> 2f1d31e
- 1.962.2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 62d0246
- drop obsolete files

* Mon Mar 02 2009 radek <radek@pld-linux.org> 3aa72b5
- version 1.96.0

* Wed Nov 12 2008 Elan Ruusamäe <glen@pld-linux.org> 0d690e9
- check-files cleanup; rel 4

* Thu Oct 23 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> da8fa2d
- release 3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c6fe822
- release 2

* Tue May 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 75c1f35
- generic URL

* Mon May 26 2008 radek <radek@pld-linux.org> 66db3b5
- version 1.95.1 (lovely creative tarball names; PAUSE got confused)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3557c88
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5122666
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 23df566
- formatting

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 3839db8
- spaces->tabs
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> b0379b8
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 141cd5e
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 10acfad
- fixed perl-devel BR

